from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.chart import XComplexDescriptionAccess

@runtime_checkable
class XAnyDescriptionAccess(XComplexDescriptionAccess, Protocol):
    def getAnyRowDescriptions(self) -> list[list[Any]]: ...
    def setAnyRowDescriptions(self, rRowDescriptions: sequence< sequence< any > >) -> None: ...
    def getAnyColumnDescriptions(self) -> list[list[Any]]: ...
    def setAnyColumnDescriptions(self, rColumnDescriptions: sequence< sequence< any > >) -> None: ...
